com.r3corda.node.services.monitor / ServiceToClientEvent / StateMachine

# StateMachine

`class StateMachine : ServiceToClientEvent`

### Constructors

<init> | `StateMachine(time: Instant, fiberId: Long, label: String, addOrRemove: AddOrRemove)`

### Properties

addOrRemove | `val addOrRemove: AddOrRemove`
fiberId | `val fiberId: Long`
label | `val label: String`

### Inherited Properties

time | `val time: Instant`